Subject: bug#29884: closed (Re: bug#29884: Appears -fstack-protector-strong can cause the test-out-of-memory crashes)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Jan 2025 21:19:02 +0000

Your bug report

#29884: Appears -fstack-protector-strong can cause the test-out-of-memory crashes

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29884: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29884
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29884: Appears -fstack-protector-strong can cause the test-out-of-memory crashes
From: Rob Browning <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jan 2025 15:18:38 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Rob Browning <[email-masked]> writes:

> While updating Debian to 2.2.3 (and trying to get 2.2 building on all
> the release architectures) I hit the previously reported
> test-out-of-memory failure, or something similar.
>
> I spent a while poking at it, and it looks like -fstack-protector-strong
> can reliably cause the crash.

This appears to be fixed now.  After a successful make check with the
debian packaging of 3.0.10[1] on
https://db.debian.org/machines.cgi?host=perotto in a ppc64el chroot, I
ran that tree's test-out-of-memory in a loop for a while with no
crashes.

[1] Still specifies -fstack-protector-strong.

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4

Subject: Appears -fstack-protector-strong can cause the test-out-of-memory crashes
From: Rob Browning <[email-masked]>
To: [email-masked]
Date: Thu, 28 Dec 2017 18:19:50 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

While updating Debian to 2.2.3 (and trying to get 2.2 building on all
the release architectures) I hit the previously reported
test-out-of-memory failure, or something similar.

I spent a while poking at it, and it looks like -fstack-protector-strong
can reliably cause the crash.

Additional details: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=+29464#11

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4